<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>CSS Introduction</title>

    <!-- internal styling -->
    <style>
      h2 {
        color: deepskyblue;
      }
    </style>
    <!-- external styling css file is linked to the html file -->
    <link rel="stylesheet" type="text/css" href="./index.css" />
  </head>
  <body>
    <p id="top"></p>

    <!-- Inline styling -->
    <!-- inline styling uses a 'style' attribute on the html element itself -->
    <h1 style="color: red; font-size: 20px">Hello World!</h1>

    <img src="https://place-puppy.com/450x450" />

    <!-- internal styling uses a <style> tag within the head part of the HTML file -->
    <h2>Kumusta, Mundo!</h2>

    <!-- external styling -->
    <h3>Konnichiwa, Sekai!</h3>
    <!-- id selector -->
    <p id="zuitt-motto-p">Opportunities for everyone, everywhere!</p>

    <!-- class selector -->
    <ol>
      <li class="offering-item">Daily Classes</li>
      <li class="offering-item">Night Classes</li>
      <li class="offering-item">Short Courses</li>
    </ol>

    <p class="offering-item">What's up cuh</p>

    <a href="#">Click me to go to nowhere</a>

    <section id="landing">
      <!-- descendant selector -->
      <ol id="bootcamp-learning-list">
        <li>HTML</li>
        <li>CSS</li>
        <li>JavaScript</li>
      </ol>
    </section>

    <section id="offerings">
      <h2>Courses</h2>
      <h3 class="modules">Frontend Development</h3>
      <ol>
        <li>Git</li>
        <li>HTML</li>
        <li>CSS</li>
      </ol>

      <h3 class="modules">Backend Development</h3>
      <ol>
        <li>JS</li>
        <li>MongoDB</li>
        <li>Node.js</li>
        <li>Express.js</li>
      </ol>

      <h3 class="modules">Full Stack Development</h3>
      <ol>
        <li>MongoDB</li>
        <li>Express.js</li>
        <li>React.js</li>
        <li>Node.js</li>
      </ol>

      <br />
      <a href="#top">Back to top</a>
    </section>
  </body>
</html>
